.. _sec-c-api-xnvme_cli:

===========
 xnvme_cli
===========



.. _sec-c-api-xnvme_cli-header:

Header
======

.. literalinclude:: ../../include/libxnvme_cli.h
   :language: c



.. _sec-c-api-xnvme_cli-enum:

Enums
=====


.. _sec-c-api-xnvme_cli-enum-xnvme_cli_opt:

xnvme_cli_opt
-------------

.. doxygenenum:: xnvme_cli_opt


.. _sec-c-api-xnvme_cli-enum-xnvme_cli_opt_type:

xnvme_cli_opt_type
------------------

.. doxygenenum:: xnvme_cli_opt_type


.. _sec-c-api-xnvme_cli-enum-xnvme_cli_opt_value_type:

xnvme_cli_opt_value_type
------------------------

.. doxygenenum:: xnvme_cli_opt_value_type


.. _sec-c-api-xnvme_cli-enum-xnvme_cli_opts:

xnvme_cli_opts
--------------

.. doxygenenum:: xnvme_cli_opts



.. _sec-c-api-xnvme_cli-struct:

Structs
=======


.. _sec-c-api-xnvme_cli-struct-xnvme_cli:

xnvme_cli
---------

.. doxygenstruct:: xnvme_cli
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_cli-struct-xnvme_cli_args:

xnvme_cli_args
--------------

.. doxygenstruct:: xnvme_cli_args
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_cli-struct-xnvme_cli_enumeration:

xnvme_cli_enumeration
---------------------

.. doxygenstruct:: xnvme_cli_enumeration
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_cli-struct-xnvme_cli_opt_attr:

xnvme_cli_opt_attr
------------------

.. doxygenstruct:: xnvme_cli_opt_attr
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_cli-struct-xnvme_cli_sub:

xnvme_cli_sub
-------------

.. doxygenstruct:: xnvme_cli_sub
   :members:
   :undoc-members:


.. _sec-c-api-xnvme_cli-struct-xnvme_cli_sub_opt:

xnvme_cli_sub_opt
-----------------

.. doxygenstruct:: xnvme_cli_sub_opt
   :members:
   :undoc-members:



.. _sec-c-api-xnvme_cli-func:

Functions
=========


.. _sec-c-api-xnvme_cli-func-xnvme_cli_args_pr:

xnvme_cli_args_pr
-----------------

.. doxygenfunction:: xnvme_cli_args_pr


.. _sec-c-api-xnvme_cli-func-xnvme_cli_enumeration_alloc:

xnvme_cli_enumeration_alloc
---------------------------

.. doxygenfunction:: xnvme_cli_enumeration_alloc


.. _sec-c-api-xnvme_cli-func-xnvme_cli_enumeration_append:

xnvme_cli_enumeration_append
----------------------------

.. doxygenfunction:: xnvme_cli_enumeration_append


.. _sec-c-api-xnvme_cli-func-xnvme_cli_enumeration_fpp:

xnvme_cli_enumeration_fpp
-------------------------

.. doxygenfunction:: xnvme_cli_enumeration_fpp


.. _sec-c-api-xnvme_cli-func-xnvme_cli_enumeration_fpr:

xnvme_cli_enumeration_fpr
-------------------------

.. doxygenfunction:: xnvme_cli_enumeration_fpr


.. _sec-c-api-xnvme_cli-func-xnvme_cli_enumeration_free:

xnvme_cli_enumeration_free
--------------------------

.. doxygenfunction:: xnvme_cli_enumeration_free


.. _sec-c-api-xnvme_cli-func-xnvme_cli_enumeration_pp:

xnvme_cli_enumeration_pp
------------------------

.. doxygenfunction:: xnvme_cli_enumeration_pp


.. _sec-c-api-xnvme_cli-func-xnvme_cli_enumeration_pr:

xnvme_cli_enumeration_pr
------------------------

.. doxygenfunction:: xnvme_cli_enumeration_pr


.. _sec-c-api-xnvme_cli-func-xnvme_cli_get_opt_attr:

xnvme_cli_get_opt_attr
----------------------

.. doxygenfunction:: xnvme_cli_get_opt_attr


.. _sec-c-api-xnvme_cli-func-xnvme_cli_perr:

xnvme_cli_perr
--------------

.. doxygenfunction:: xnvme_cli_perr


.. _sec-c-api-xnvme_cli-func-xnvme_cli_pinf:

xnvme_cli_pinf
--------------

.. doxygenfunction:: xnvme_cli_pinf


.. _sec-c-api-xnvme_cli-func-xnvme_cli_run:

xnvme_cli_run
-------------

.. doxygenfunction:: xnvme_cli_run


.. _sec-c-api-xnvme_cli-func-xnvme_cli_timer_bw_pr:

xnvme_cli_timer_bw_pr
---------------------

.. doxygenfunction:: xnvme_cli_timer_bw_pr


.. _sec-c-api-xnvme_cli-func-xnvme_cli_timer_start:

xnvme_cli_timer_start
---------------------

.. doxygenfunction:: xnvme_cli_timer_start


.. _sec-c-api-xnvme_cli-func-xnvme_cli_timer_stop:

xnvme_cli_timer_stop
--------------------

.. doxygenfunction:: xnvme_cli_timer_stop


.. _sec-c-api-xnvme_cli-func-xnvme_cli_to_opts:

xnvme_cli_to_opts
-----------------

.. doxygenfunction:: xnvme_cli_to_opts

